| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
NTuple::_Item< TYP > Class Template Reference

Abstract class describing a column in a N tuple. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::_Item< TYP >:
[legend]
Collaboration diagram for NTuple::_Item< TYP >:
[legend]

## Public Member Functions
| ~_Item () override=default
| Destructor. More...
template<class T >
_Item< TYP > & | operator= (const _Item< T > &copy)
| Assignment operator. More...
void | set (const TYP &item)
| Access to data by reference. More...
virtual TYP | get () const
| Access to data by reference (CONST) More...
Public Member Functions inherited from NTuple::_Data< TYP >
virtual void | setDefault (const TYP d)=0
| Set default value. More...
virtual const ItemRange & | range () const =0
| Access the range if specified. More...
Public Member Functions inherited from INTupleItem
virtual | ~INTupleItem ()=default
| destructor More...
virtual void | release ()=0
| Destruct object. More...
virtual const std::type_info & | typeID () const =0
| Compiler type ID. More...
virtual std::string | typeName () const =0
| Proper type name of the object. More...
virtual const void * | buffer () const =0
| Access data buffer (CONST) More...
virtual bool | hasIndex () const =0
| Is the tuple have an index item? More...
virtual const std::string & | index () const =0
| Access the index _Item. More...
virtual const std::string & | name () const =0
| Access _Item name. More...
virtual long | type () const =0
| Type information of the item. More...
virtual long | length () const =0
| Access the buffer length. More...
virtual void | reset ()=0
| Reset column. More...
virtual long | ndim () const =0
| Dimension. More...
virtual long | dim (long i) const =0
| Access individual dimensions. More...
virtual long | size () const =0
| Size of entire object. More...
virtual long | filled () const =0
| Number of items filled. More...
virtual INTupleItem * | indexItem ()=0
| Pointer to index column (if present, 0 else) More...
virtual const INTupleItem * | indexItem () const =0
| Pointer to index column (if present, 0 else) (CONST) More...
virtual INTuple * | tuple ()=0
| NTuple the item belongs to. More...

## Static Public Member Functions
static _Item * | create (INTuple *tup, const std::string &name, const std::type_info &info, TYP min, TYP max, TYP def)
| Create instance. More...

## Additional Inherited Members
Public Types inherited from NTuple::_Data< TYP >
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...
Protected Member Functions inherited from INTupleItem
virtual void | setType (long typ)=0
| Set the properties of the INTupleItem. More...
Protected Attributes inherited from NTuple::_Data< TYP >
TYP * | m_buffer = nullptr
| Pointer to data buffer. More...

## Detailed Description

### template<class TYP>
class NTuple::_Item< TYP >

Abstract class describing a column in a N tuple.

Definition at line 38 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::_Item< TYP >::~_Item | ( |  | ) |
| override default

Destructor.

## Member Function Documentation

template<class TYP>

NTuple::_Item< TYP > * NTuple::_Item< TYP >::create | ( | INTuple * | tup,
|  | const std::string & | name,
|  | const std::type_info & | info,
|  | TYP | min,
|  | TYP | max,
|  | TYP | def
| ) |  |
| static

Create instance.

Definition at line 26 of file NTupleItems.cpp.

26 {
27 return new _ItemImp<TYP>(tup, name, info, min, max, def);
28 }
INTupleItem::name
virtual const std::string & name() const =0
Access _Item name.
std::min
T min(T...args)
std::max
T max(T...args)
template<class TYP>

virtual TYP NTuple::_Item< TYP >::get | ( |  | ) | const
| inline virtual

Access to data by reference (CONST)

Definition at line 146 of file NTuple.h.

146 { return *this->m_buffer; }
NTuple::_Data::m_buffer
TYP * m_buffer
Pointer to data buffer.
Definition: NTuple.h:114
template<class TYP>
template<class T >

_Item<TYP>& NTuple::_Item< TYP >::operator= | ( | const _Item< T > & | copy | ) |
| inline

Assignment operator.

Definition at line 139 of file NTuple.h.

139 {
140 *this->m_buffer = copy.get();
141 return *this;
142 }
std::copy
T copy(T...args)
NTuple::_Data::m_buffer
TYP * m_buffer
Pointer to data buffer.
Definition: NTuple.h:114
template<class TYP>

void NTuple::_Item< TYP >::set | ( | const TYP & | item | ) |
| inline

Access to data by reference.

Definition at line 144 of file NTuple.h.

144 { *this->m_buffer = item; }
NTuple::_Data::m_buffer
TYP * m_buffer
Pointer to data buffer.
Definition: NTuple.h:114

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/NTuple.h
- GaudiKernel/src/Lib/NTupleItems.cpp